DK API 文档

instagram 05

15 个接口

GETget explore

GET https://dkai.store/api/v1/instagram/v3/get_explore

7 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_explore'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget hashtag posts

GET https://dkai.store/api/v1/instagram/v3/get_hashtag_posts

7 积分 / 成功调用

参数位置要求说明
tagquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_hashtag_posts?tag=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget highlight stories

GET https://dkai.store/api/v1/instagram/v3/get_highlight_stories

7 积分 / 成功调用

参数位置要求说明
highlight_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_highlight_stories?highlight_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget location info

GET https://dkai.store/api/v1/instagram/v3/get_location_info

7 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_location_info?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget location nearby

GET https://dkai.store/api/v1/instagram/v3/get_location_nearby

7 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_location_nearby?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget location posts

GET https://dkai.store/api/v1/instagram/v3/get_location_posts

7 积分 / 成功调用

参数位置要求说明
location_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_location_posts?location_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget music posts

GET https://dkai.store/api/v1/instagram/v3/get_music_posts

7 积分 / 成功调用

参数位置要求说明
audio_cluster_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_music_posts?audio_cluster_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post comments

GET https://dkai.store/api/v1/instagram/v3/get_post_comments

7 积分 / 成功调用

参数位置要求说明
codequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_post_comments?code=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post info

GET https://dkai.store/api/v1/instagram/v3/get_post_info

7 积分 / 成功调用

参数位置要求说明
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_post_info'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post info by code

GET https://dkai.store/api/v1/instagram/v3/get_post_info_by_code

7 积分 / 成功调用

参数位置要求说明
codequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_post_info_by_code?code=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post likes

GET https://dkai.store/api/v1/instagram/v3/get_post_likes

7 积分 / 成功调用

参数位置要求说明
codequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_post_likes?code=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget post oembed

GET https://dkai.store/api/v1/instagram/v3/get_post_oembed

7 积分 / 成功调用

参数位置要求说明
urlquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_post_oembed?url=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget similar users

GET https://dkai.store/api/v1/instagram/v3/get_similar_users

7 积分 / 成功调用

参数位置要求说明
user_idquery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_similar_users?user_id=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。

GETget user about

GET https://dkai.store/api/v1/instagram/v3/get_user_about

7 积分 / 成功调用

参数位置要求说明
usernamequery必填
Idempotency-Keyheader必填Use the same value when retrying the same business request.
curl -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Idempotency-Key: YOUR_UNIQUE_REQUEST_ID' \
  'https://dkai.store/api/v1/instagram/v3/get_user_about?username=VALUE'

成功响应包含 code 和 data;错误状态依次可为 400、401、403、429。